FIX::DatabaseConnectionID Class Reference

`#include <DatabaseConnectionID.h>`

## Public Member Functions

| DatabaseConnectionID (const std::string &database, const std::string &user, const std::string &password, const std::string &host, short port)
const std::string & | getDatabase () const
const std::string & | getUser () const
const std::string & | getPassword () const
const std::string & | getHost () const
short | getPort () const

## Private Attributes

std::string | m_database
std::string | m_user
std::string | m_password
std::string | m_host
short | m_port

## Friends

bool | operator< (const DatabaseConnectionID &, const DatabaseConnectionID &)
bool | operator== (const DatabaseConnectionID &, const DatabaseConnectionID &)
bool | operator!= (const DatabaseConnectionID &, const DatabaseConnectionID &)

## Detailed Description

Definition at line 34 of file DatabaseConnectionID.h.

## Constructor & Destructor Documentation

## DatabaseConnectionID()

FIX::DatabaseConnectionID::DatabaseConnectionID | ( | const std::string & | database,
|  | const std::string & | user,
|  | const std::string & | password,
|  | const std::string & | host,
|  | short | port
| ) |  |

inline

Definition at line 37 of file DatabaseConnectionID.h.

: m_database( database ), m_user( user ), m_password( password ),
m_host( host ), m_port( port ) {}
FIX::DatabaseConnectionID::m_host
std::string m_host
Definition DatabaseConnectionID.h:62
FIX::DatabaseConnectionID::m_database
std::string m_database
Definition DatabaseConnectionID.h:59
FIX::DatabaseConnectionID::m_user
std::string m_user
Definition DatabaseConnectionID.h:60
FIX::DatabaseConnectionID::m_port
short m_port
Definition DatabaseConnectionID.h:63
FIX::DatabaseConnectionID::m_password
std::string m_password
Definition DatabaseConnectionID.h:61

## Member Function Documentation

## getDatabase()

const std::string & FIX::DatabaseConnectionID::getDatabase | ( |  | ) | const

inline

Definition at line 47 of file DatabaseConnectionID.h.

{ return m_database; }

References m_database.

## getHost()

const std::string & FIX::DatabaseConnectionID::getHost | ( |  | ) | const

inline

Definition at line 53 of file DatabaseConnectionID.h.

{ return m_host; }

References m_host.

## getPassword()

const std::string & FIX::DatabaseConnectionID::getPassword | ( |  | ) | const

inline

Definition at line 51 of file DatabaseConnectionID.h.

{ return m_password; }

References m_password.

## getPort()

short FIX::DatabaseConnectionID::getPort | ( |  | ) | const

inline

Definition at line 55 of file DatabaseConnectionID.h.

{ return m_port; }

References m_port.

## getUser()

const std::string & FIX::DatabaseConnectionID::getUser | ( |  | ) | const

inline

Definition at line 49 of file DatabaseConnectionID.h.

{ return m_user; }

References m_user.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const DatabaseConnectionID & | lhs,
|  | const DatabaseConnectionID & | rhs
| ) |  |

friend

Definition at line 99 of file DatabaseConnectionID.h.

{
return !( lhs == rhs );
}

## operator<

bool operator< | ( | const DatabaseConnectionID & | lhs,
|  | const DatabaseConnectionID & | rhs
| ) |  |

friend

Definition at line 66 of file DatabaseConnectionID.h.

{
if ( lhs.m_database < rhs.m_database )
return true;
else if ( rhs.m_database < lhs.m_database )
return false;
else if ( lhs.m_user < rhs.m_user )
return true;
else if ( rhs.m_user < lhs.m_user )
return false;
else if ( lhs.m_password < rhs.m_password )
return true;
else if ( rhs.m_password < lhs.m_password )
return false;
else if ( lhs.m_host < rhs.m_host )
return true;
else if ( rhs.m_host < lhs.m_host )
return false;
else if ( lhs.m_port < rhs.m_port )
return true;
else if ( rhs.m_port < lhs.m_port )
return false;
else
return false;
}

## operator==

bool operator== | ( | const DatabaseConnectionID & | lhs,
|  | const DatabaseConnectionID & | rhs
| ) |  |

friend

Definition at line 91 of file DatabaseConnectionID.h.

{
return ( ( lhs.m_database == rhs.m_database ) &&
( lhs.m_user == rhs.m_user ) &&
( lhs.m_password == rhs.m_password ) &&
( lhs.m_host == rhs.m_host ) &&
( lhs.m_port == rhs.m_port ));
}

## Member Data Documentation

## m_database

std::string FIX::DatabaseConnectionID::m_database

private

Definition at line 59 of file DatabaseConnectionID.h.

Referenced by getDatabase().

## m_host

std::string FIX::DatabaseConnectionID::m_host

private

Definition at line 62 of file DatabaseConnectionID.h.

Referenced by getHost().

## m_password

std::string FIX::DatabaseConnectionID::m_password

private

Definition at line 61 of file DatabaseConnectionID.h.

Referenced by getPassword().

## m_port

short FIX::DatabaseConnectionID::m_port

private

Definition at line 63 of file DatabaseConnectionID.h.

Referenced by getPort().

## m_user

std::string FIX::DatabaseConnectionID::m_user

private

Definition at line 60 of file DatabaseConnectionID.h.

Referenced by getUser().

The documentation for this class was generated from the following file:

- DatabaseConnectionID.h